public class Ecrit extends Entite{
	
	private String nom=new String();
	//private String nomEquipement=new String();
	
	private String modele=new String();
	private boolean casse=false;
	
	private String typeObjet=new String();
	private boolean visible=true;
	private String tileStr=new String();
	private int poids=0;
	
	private int resistanceMat=0;
	private int structureMat=0;
	
	private String texte=new String();
	private String texteE=new String();
	
	private String nomE=new String();
	
	public String getNomE(){
		return nomE;
	}
	
	public Ecrit(boolean brok,String modeleC,String name,String nameE,String typeObjetC,boolean visibleC,String tileStrC,String texteC,String texteCE){
		
		modele=modeleC;
		nom=name;
		nomE=nameE;
		casse=brok;
		typeObjet=typeObjetC;
		visible=visibleC;
		tileStr=tileStrC;
		texte=texteC;
		texteE=texteCE;
		
		//nomEquipement=nom;
		
		if(modele.compareTo("standardbook")==0){
			
			resistanceMat=30;
			structureMat=30;
			poids=2;
		}
		
		if(modele.compareTo("standardscroll")==0){
			
			resistanceMat=0;
			structureMat=10;
			poids=1;
		}
		
		if(modele.compareTo("standardpierretombale")==0){
			
			resistanceMat=200;
			structureMat=200;
			poids=500;
		}
		
		if(modele.compareTo("pancarte")==0){
			
			resistanceMat=30;
			structureMat=50;
			poids=20;
		}
	}
	
	
	
	
	//////////////////////////////////////////
	public String getTexte(){
		return texte;
	}
	
	public void setTexte(String tx){
		texte=tx;
	}
	
	
	public String getTexteE(){
		return texteE;
	}
	
	public void setTexteE(String txe){
		texteE=txe;
	}
	
	
	/*
	public String getNomDequipement(){
		return nomEquipement;
	}
	
	public void setNomDequipement(String nomEquip){
		nomEquipement=nomEquip;
	}*/
	
	public int getPoids(){
		return poids;
	}
	
	public void setPoids(int pds){
		poids=pds;
	}
	
	public String getNom(){
		return nom;
	}
	
	public void setCasse(boolean broken){
		casse=broken;
	}
	public boolean getCasse(){
		return casse;
	}
	
	
	public int getResistanceMat(){
		return resistanceMat;
	}
	
	public void setResistanceMat(int res){
		resistanceMat=res;
	}
	
	public int getStructureMat(){
		return structureMat;
	}
	
	public void setStructureMat(int struct){
		structureMat=struct;
	}
	
	public String getModele(){
		return modele;
	}
	
	
	
	
	public boolean getVisible(){
		return visible;
	}
	
	public void setVisible(boolean visibility){
		visible=visibility;
	}
	
	
	
	
	public String getTileStr(){
		
		if(getCasse()==true){
			return "./images/walls/rocks.gif";
		}
		else{
			return tileStr;
		}
	}
	
	public String getTypeObjet(){
		return typeObjet;
	}
	

}